libdvbv5: dvb_desc_t2_delivery Struct Reference

libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

dvb_desc_t2_delivery Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the T2 delivery system descriptor. More...

`#include <desc_t2_delivery.h>`

## Data Fields
uint8_t | plp_id
uint16_t | system_id
union { |
uint16_t bitfield |
struct { |
uint16_t tfs_flag:1 |
uint16_t other_frequency_flag:1 |
uint16_t transmission_mode:3 |
uint16_t guard_interval:3 |
uint16_t reserved:2 |
uint16_t bandwidth:4 |
uint16_t SISO_MISO:2 |
} |
}; |
uint32_t * | centre_frequency
uint8_t | frequency_loop_length
uint8_t | subcel_info_loop_length
struct dvb_desc_t2_delivery_subcell_old * | subcell
unsigned int | num_cell
struct dvb_desc_t2_delivery_cell * | cell

## Detailed Description

Structure containing the T2 delivery system descriptor.

Parameters

  plp_id | data PLP id
  system_id | T2 system id
  SISO_MISO | SISO MISO
  bandwidth | bandwidth
  guard_interval | guard interval
  transmission_mode | transmission mode
  other_frequency_flag | other frequency flag
  tfs_flag | tfs flag
  centre_frequency | centre frequency vector. It contains the full frequencies for all cells and subcells.
  frequency_loop_length | size of the dvb_desc_t2_delivery::centre_frequency vector
  subcel_info_loop_length | unused. Always 0
  subcell | unused. Always NULL
  num_cell | number of cells
  cell | cell array. Contains per-cell and per-subcell pointers to the frequencies parsed.

Definition at line 119 of file desc_t2_delivery.h.

## Field Documentation

## ◆ [union]

union { ... } dvb_desc_t2_delivery

## ◆ bandwidth

uint16_t dvb_desc_t2_delivery::bandwidth

Definition at line 132 of file desc_t2_delivery.h.

## ◆ bitfield

uint16_t dvb_desc_t2_delivery::bitfield

Definition at line 125 of file desc_t2_delivery.h.

## ◆ cell

struct dvb_desc_t2_delivery_cell* dvb_desc_t2_delivery::cell

Definition at line 146 of file desc_t2_delivery.h.

## ◆ centre_frequency

uint32_t* dvb_desc_t2_delivery::centre_frequency

Definition at line 137 of file desc_t2_delivery.h.

## ◆ frequency_loop_length

uint8_t dvb_desc_t2_delivery::frequency_loop_length

Definition at line 138 of file desc_t2_delivery.h.

## ◆ guard_interval

uint16_t dvb_desc_t2_delivery::guard_interval

Definition at line 130 of file desc_t2_delivery.h.

## ◆ num_cell

unsigned int dvb_desc_t2_delivery::num_cell

Definition at line 145 of file desc_t2_delivery.h.

## ◆ other_frequency_flag

uint16_t dvb_desc_t2_delivery::other_frequency_flag

Definition at line 128 of file desc_t2_delivery.h.

## ◆ plp_id

uint8_t dvb_desc_t2_delivery::plp_id

Definition at line 122 of file desc_t2_delivery.h.

## ◆ reserved

uint16_t dvb_desc_t2_delivery::reserved

Definition at line 131 of file desc_t2_delivery.h.

## ◆ SISO_MISO

uint16_t dvb_desc_t2_delivery::SISO_MISO

Definition at line 133 of file desc_t2_delivery.h.

## ◆ subcel_info_loop_length

uint8_t dvb_desc_t2_delivery::subcel_info_loop_length

Definition at line 141 of file desc_t2_delivery.h.

## ◆ subcell

struct dvb_desc_t2_delivery_subcell_old* dvb_desc_t2_delivery::subcell

Definition at line 142 of file desc_t2_delivery.h.

## ◆ system_id

uint16_t dvb_desc_t2_delivery::system_id

Definition at line 123 of file desc_t2_delivery.h.

## ◆ tfs_flag

uint16_t dvb_desc_t2_delivery::tfs_flag

Definition at line 127 of file desc_t2_delivery.h.

## ◆ transmission_mode

uint16_t dvb_desc_t2_delivery::transmission_mode

Definition at line 129 of file desc_t2_delivery.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_t2_delivery.h